<html>
	<head><title>.o0|Plaadi muutmine|0o.</title></head>
	<body>
		<jsp:useBean id="baasiLugeja" class="OAD.lugeja"/>
		<jsp:useBean id="baasiKirjutaja" class="OAD.kirjutaja"/>
		<center><h1>Esitaja muutmine</h1></center>
		<br/>
		<h2>Vali muudetav plaat</h2>
		<form><table>
			<tr><td><select name='plaat'>
			<%
				String user=request.getParameter("u");
				String pass=request.getParameter("p");
				String plaat=request.getParameter("plaat");
				String nimi=request.getParameter("Pealkiri");
				String v2lja=request.getParameter("Valjaandja");
				String aasta=request.getParameter("V_aasta");
				String del=request.getParameter("del");
				String ID=request.getParameter("ID");
				out.println(baasiLugeja.populateOptions("Plaadid",user,pass));
			%>
			</select></td></tr>
			<input type=hidden name='u' value='<%=request.getParameter("u")%>'>
			<input type=hidden name='p' value='<%=request.getParameter("p")%>'>
			<tr><td><input type=submit value='Vali'></td></tr>
		</table></form>
		<%	
			if(nimi!=null && v2lja!=null && aasta!=null && nimi.length()!=0 && v2lja.length()!=0 && aasta.length()!=0){out.println(baasiKirjutaja.muuda("Plaadid",user,pass,del,ID, "", "","",nimi,v2lja,aasta));}
			else{
				if(plaat!=null && plaat.length()!=0){
					out.println(baasiLugeja.populateChangeForm("Plaadid",plaat,user,pass));
				}
			}
		%>
		<br/>
		<br/><a href='../Nullyks/servlet/looLisaja?u=<%=request.getParameter("u")%>&p=<%=request.getParameter("u")%>'>TAGASI</a>
	</body>
</html>